Bug 56902 - can't build from kernel-2.2.19-6.2.12.src.rpm
can't build from kernel-2.2.19-6.2.12.src.rpm
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-29 14:54 EST by Joe Pruett
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-31 19:51:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Pruett 2001-11-29 14:54:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.12 i586)

Description of problem:
when i try to build the rpms from the src rpm, it randomly fails during
kernel configurations.  i see things like:

Default NLS Option (CONFIG_NLS_DEFAULT) [cp437]
Codepage 437 (United States, Canada) (CONFIG_NLS_CODEPAGE_437) [M/n/y/?]
Codepage 737 (Greek) (CONFIG_NLS_CODEPAGE_737) [M/n/y/?]
Codepage 775 (Baltic Rim) (CONFIG_NLS_CODEPAGE_775) [M/n/y/?]
scripts/Configure: Can't reopen pipe to command substitution (fd 4): No
child processes
Codepage 850 (Europe) (CONFIG_NLS_CODEPAGE_850) [N/y/m/?] (NEW) Codepage
852 (Central/Eastern Europe) (CONFIG_NLS_CODEPAGE_852) [M/n/y/?] 

and then later it whines:

*** End of Linux kernel configuration.
*** Check the top-level Makefile for additional configuration.
*** Next, you must run 'make dep'.

The following defaults are missing:
Codepage 850 (Europe) (CONFIG_NLS_CODEPAGE_850) [N/y/m/?]
make: *** [oldconfig_nonint] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.14262 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.14262 (%build)

this happens on two different systems (both running 2.2.19-6.2.12
(installed from the binary rpms from updates.redhat.com).  where it fails
is always different, but always during the kernel config phase.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -i kernel-2.2.19-6.2.12.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba kernel-2.2.spec

Additional info:

Note You need to log in before you can comment on or make changes to this bug.